#!/bin/sh

while true;
do
    FILES=$(ls -1 | grep -v shotwell | grep -vi xmp | grep -vi jpg | wc -l | awk '{ print $1 }')
    THUMBS=$(ls -1 | grep shotwell | grep -vi "xmp\|jpg\|jpeg" | wc -l | awk '{ print $1 }')
    OUT="T: $THUMBS | F: $FILES"
    printf "$OUT\n"
    if [ "$FILES" == "$THUMBS" ];
        then notify-send "Shotwell Import Finished: ${PWD##*/} $OUT"
        printf "${PWD##*/}" | xclip -r
        exit 0
    fi
    sleep 5
done
